﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TabControlHeaderContextMenu
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private int counter = 4;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadTabControl_Loaded(object sender, RoutedEventArgs e)
        {
            var scrollViewer = ((RadTabControl)sender)
                .ChildrenOfType<ScrollViewer>()
                .FirstOrDefault(x => x.Name == "ScrollViewerElement");

            if (scrollViewer != null)
            {
                var contextMenu = this.gridLayout.Resources["RadContextMenu"] as RadContextMenu;

                RadContextMenu.SetContextMenu(scrollViewer, contextMenu);
            }
        }

        private void RadMenuItem_Click(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            this.tabControl.Items.Add(new RadTabItem() { Header = "Link " + counter });

            counter++;
        }
    }
}
